Debian Bug report logs - #578750
RFP: kmid2 -- MIDI/Karaoke player for KDE

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: lisandro@debian.org

Date: Thu, 22 Apr 2010 13:45:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, perezmeyer@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Bug#578750; Package wnpp. (Thu, 22 Apr 2010 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
New Bug report received and forwarded. Copy sent to perezmeyer@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>. (Thu, 22 Apr 2010 13:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: kmid -- MIDI/Karaoke player for KDE
Date: Thu, 22 Apr 2010 10:40:54 -0300
Package: wnpp
Severity: wishlist
Owner: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>
Owner: "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>

* Package name    : kmid
  Version         : 2.2.2
  Upstream Author : Pedro Lopez-Cabanillas <plcl@users.sf.net>
* URL             : http://kde-apps.org/content/show.php/KMid?content=116404
* License         : GPL
  Programming Lang: C++
  Description     : MIDI/Karaoke player for KDE

KMid is a rewrite from scratch of the original KDE midi player.
It plays MIDI and karaoke files.
MIDI sequencing is implemented on pluggable backends.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Bug#578750; Package wnpp. (Thu, 22 Apr 2010 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>. (Thu, 22 Apr 2010 14:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 578750@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>, 578750@bugs.debian.org
Cc: Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#578750: ITP: kmid -- MIDI/Karaoke player for KDE
Date: Thu, 22 Apr 2010 16:10:44 +0200
On Thu, Apr 22, 2010 at 10:40:54AM -0300, Lisandro Damián Nicanor Pérez Meyer wrote:

> * Package name    : kmid
>   Version         : 2.2.2
>   Upstream Author : Pedro Lopez-Cabanillas <plcl@users.sf.net>
> * URL             : http://kde-apps.org/content/show.php/KMid?content=116404

I think that's the right URL:

   http://kmid2.sourceforge.net/


I've recently been in contact with the author, because we pack his
kmidimon in the Debian Multimedia Team.

To quote from his mail:

> > By the way: KMidimon 0.7.3 requires Drumstick 0.3.0, which is still
> > bundled in kmidimon's source tarball and statically linked if the
> > shared libraries weren't found at configure time. In the future,
> > when Drumstick matures enough, the library sources will be removed
> > from the source package. Please talk and coordinate if necessary
> > with the maintainers of KMetronome and KMid2, using Drumstick as
> > well. Are there Debian packages for them?


With regard to drumstick, he wrote:

> BTW. I've fixed two problems in Drumstick 0.3.1, released yesterday.
> Probably any of them would become a bug report for KMidimon 0.7.3:

> 1. Subscribe/unsubscribe methods from the MidiPort class are using the
> ALSA function snd_seq_parse_address(), and can't distinguish between
> two client names starting with the same characters, like "KMid" and
> "KMidimon". It is not possible to use KMidimon to monitor KMid output.

> 2. The list of available MIDI input/output ports is cached by
> drumstick until a broadcasted ALSA event is received marking the cache
> as "dirty". It is possible that a client application like KMidimon
> shows an outdated list to the user.

> Both problems have been fixed in drumstick revision 165:
> http://drumstick.svn.sourceforge.net/viewvc/drumstick?view=rev&revision=165

> The best solution for a dynamically linked program would be to simply
> upgrade the drumstick library. But as Debian is distributing a
> statically compiled  KMidimon, please apply preventively a patch
> before the next KMidimon release.


In other words: it's now the right time to package drumstick separately
and change the build requirements for kmidimon.

Do you mind packaging drumstick?

I'm also Cc pkg-multimedia-maintainers, perhaps somebody is interested.

Don't know if you do a lot of multimedia stuff, if so, you might want to
consider joining our team. ;)


Cheerio

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Bug#578750; Package wnpp. (Sun, 25 Apr 2010 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>. (Sun, 25 Apr 2010 18:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 578750@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Cc: 578750@bugs.debian.org, Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#578750: ITP: kmid -- MIDI/Karaoke player for KDE
Date: Sun, 25 Apr 2010 15:35:18 -0300
2010/4/22 Adrian Knoth <adi@drcomp.erfurt.thur.de>:
> On Thu, Apr 22, 2010 at 10:40:54AM -0300, Lisandro Damián Nicanor Pérez Meyer wrote:
[big snip]

>> The best solution for a dynamically linked program would be to simply
>> upgrade the drumstick library. But as Debian is distributing a
>> statically compiled  KMidimon, please apply preventively a patch
>> before the next KMidimon release.
>
>
> In other words: it's now the right time to package drumstick separately
> and change the build requirements for kmidimon.
>
> Do you mind packaging drumstick?

First of all, sorry for not replying sooner. I just found out that I
had a broken mail filter :-/

No, I don't mind packaging drumstick. I'll fill the ITP ASAP.

> I'm also Cc pkg-multimedia-maintainers, perhaps somebody is interested.

I just checked the web and couldn't find an ITP bug for it, so I
assume nobody has started to package it.

> Don't know if you do a lot of multimedia stuff, if so, you might want to
> consider joining our team. ;)

I'm currently doing mostly KDE related packaging, but I will consider
your suggestion :-)

Regards, Lisandro.

-- 
Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Bug#578750; Package wnpp. (Wed, 28 Apr 2010 07:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>. (Wed, 28 Apr 2010 07:27:09 GMT) Full text and rfc822 format available.

Message #20 received at 578750@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>, 578750@bugs.debian.org
Cc: Debian Devel <debian-devel@lists.debian.org>
Subject: Re: Bug#578750: ITP: kmid -- MIDI/Karaoke player for KDE
Date: Wed, 28 Apr 2010 09:25:04 +0200
Hello Lisandro,

On Thu, 2010-04-22 at 10:40 -0300, Lisandro Damián Nicanor Pérez Meyer
wrote:
> 
> * Package name    : kmid
is it kmid or kmid2?

>   Description     : MIDI/Karaoke player for KDE

> KMid is a rewrite from scratch of the original KDE midi player.
       ^^^^^^^^^^^^
       Not so useful for end-user
> It plays MIDI and karaoke files.

I would suggest:
> This package provides a MIDI and karaoke player for KDE. KMid2 is a
> rewrite of kmid for KDE4, with a new architecture and also some new
> features.

Upstream description also list some interesting features, which could de
included (I have dropped some bullets, it could be shorted further to
only list the nice features of this MID player).

> Some major features:
> * Playback to external hardware MIDI devices.
> * Allows to use software synths as well.
> * Tempo and volume controls.
> * Pitch (transpose) control.
> * Rhythm view (visual metronome).
> * Configurable character encoding, font and color for lyrics.
> * MIDI Mapper.
> * Channels window, with solo/muting controls and instrument selectors.
> * MIDI sequencing is implemented on pluggable backends.

Does it just play .MID files, or does it also plays some similar files?

Regards,

Franklin





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>:
Bug#578750; Package wnpp. (Tue, 18 May 2010 01:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>. (Tue, 18 May 2010 01:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 578750@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: Debian bug control <control@bugs.debian.org>, 579153@bugs.debian.org, 578750@bugs.debian.org
Subject: Retitling
Date: Mon, 17 May 2010 22:38:35 -0300
[Message part 1 (text/plain, inline)]
retitle 578750 RFP: kmid -- MIDI/Karaoke player for KDE
retitle 579153 RFP: drumstick -- Qt4/C++ wrapper for ALSA sequencer
thanks

I did not get well along with upstream so I won't package it, feel free to 
take over.


-- 
Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFP: kmid -- MIDI/Karaoke player for KDE' from 'ITP: kmid -- MIDI/Karaoke player for KDE' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Tue, 18 May 2010 01:42:06 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Lisandro Damián Nicanor Pérez Meyer" <perezmeyer@gmail.com>. Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 10 Feb 2011 21:00:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RF' from 'RFP: kmid -- MIDI/Karaoke player for KDE' Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 08:33:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: kmid2 -- MIDI/Karaoke player for KDE' from 'RF' Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 08:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578750; Package wnpp. (Sat, 11 Jun 2011 12:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Pedro Lopez-Cabanillas" <pedro.lopez.cabanillas@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 Jun 2011 12:45:07 GMT) Full text and rfc822 format available.

Message #38 received at 578750@bugs.debian.org (full text, mbox):

From: "Pedro Lopez-Cabanillas" <pedro.lopez.cabanillas@gmail.com>
To: valerio.passini@unicam.it
Cc: debian-kde@lists.debian.org, 578750@bugs.debian.org
Subject: Re: [RFP] Kmid2 (again)
Date: Sat, 11 Jun 2011 14:41:02 +0200
Hi Valerio,

You said:
> I fear that either the qt-kde debian team will refuse my kmid package 
> anyway or that I might encounter problems with upstream author.

Sorry for the cross-posting. I am the upstream author, and somehow I've found your message in the mailing list archives. I'm answering your message because you deserve to know the facts, and mitigate your fear. I also have the right to defend my reputation, and fight against any misinformation, propaganda or innuendo against me coming from the IRC channels and mailing lists. I can't talk about that theory of a mafia actively blocking Kmid, but I positively assure you that I am not a monster.

Here are the facts. More than one year ago, in May/2010, Leandro (along with his sponsor Ana Guerrero) was trying to package my Drumstick libraries for Debian, because this package is required by Kmid2 (and by my other programs: Kmidimon and Kmetronome, already in Debian). They found that Drumstick included a dozen utility programs without the corresponding man pages, which are required by Debian standards, so they asked me to write the man pages. I've done so, committed the man pages to the SVN repository and sent him a patch containing the requested man pages and build system changes. Instead of applying this patch to his package, he answered me that the Drumstick and Kmid2 Debian packages were postponed until a future release of Drumstick that included the man pages, giving me the argument that he works in Debian as a volunteer, without time to waste processing patches. I was shocked by this argument because I'm also a volunteer. I'm not paid for writing Kmid2 or any of my other Linux programs. My relationship with them was seriously compromised, and any future collaboration between down and upstream was doubtful, with these precedents. 

I want to say that I'm in very good relationship with other Debian developers: Adrian, Free, Alessio, Arnout and Mehdi. I thank you for your work with my programs, especially for the contributions that you made and sent upstream.

Debian is now the only major distribution not including Kmid2. For your convenience, in Ubuntu you can find Kmid2 in these PPA's:
https://launchpad.net/~ferramroberto/+archive/testing/+build/1920542
https://launchpad.net/~kxstudio-team/+archive/ppa/+packages?field.name_filter=kmid2

Regards,
Pedro




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578750; Package wnpp. (Sat, 11 Jun 2011 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 Jun 2011 17:42:03 GMT) Full text and rfc822 format available.

Message #43 received at 578750@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: debian-kde@lists.debian.org
Cc: "Pedro Lopez-Cabanillas" <pedro.lopez.cabanillas@gmail.com>, valerio.passini@unicam.it, 578750@bugs.debian.org
Subject: Re: [RFP] Kmid2 (again)
Date: Sat, 11 Jun 2011 20:40:48 +0300
[Message part 1 (text/plain, inline)]
Hello,

On šeštadienis 11 Birželis 2011 15:41:02 Pedro Lopez-Cabanillas wrote:
> Hi Valerio,
> 
> You said:
> > I fear that either the qt-kde debian team will refuse my kmid package
> > anyway or that I might encounter problems with upstream author.
> 
> Sorry for the cross-posting.

You should really be sorry.

> I am the upstream author, and somehow I've
> found your message in the mailing list archives. I'm answering your
> message because you deserve to know the facts, and mitigate your fear. I
> also have the right to defend my reputation, and fight against any
> misinformation, propaganda or innuendo against me coming from the IRC
> channels and mailing lists. I can't talk about that theory of a mafia
> actively blocking Kmid, but I positively assure you that I am not a
> monster.

I have no idea who you are but what such kind of mails are doing in public 
user support mailing list (debian-kde@lists.debian.org)? This is a personal 
attack in my book. What's more, you put words in other people's mouth.

> Here are the facts. More than one year ago, in May/2010, Leandro (along
> with his sponsor Ana Guerrero) was trying to package my Drumstick
> libraries for Debian, because this package is required by Kmid2 (and by my
> other programs: Kmidimon and Kmetronome, already in Debian). They found
> that Drumstick included a dozen utility programs without the corresponding
> man pages, which are required by Debian standards, so they asked me to
> write the man pages. I've done so, committed the man pages to the SVN
> repository and sent him a patch containing the requested man pages and
> build system changes. Instead of applying this patch to his package, he
> answered me that the Drumstick and Kmid2 Debian packages were postponed
> until a future release of Drumstick that included the man pages, giving me
> the argument that he works in Debian as a volunteer, without time to waste
> processing patches. I was shocked by this argument because I'm also a
> volunteer. I'm not paid for writing Kmid2 or any of my other Linux
> programs. My relationship with them was seriously compromised, and any
> future collaboration between down and upstream was doubtful, with these
> precedents.

I have read this paragraph and I don't understand what's the deal here. So 
what, debian maintainer decided to wait until release. That's what Debian 
maintainers do, i.e. they decide what's better Debian (or them at the 
particular time), that's their right and duty. Sometimes users do not like (or 
understand it), sometimes upstream does not like it, sometimes even 
maintainers themselves don't like it (read during slow freezes).

> I want to say that I'm in very good relationship with other Debian
> developers: Adrian, Free, Alessio, Arnout and Mehdi. I thank you for your
> work with my programs, especially for the contributions that you made and
> sent upstream.

Then work with them on kmid2 packaging rather than rant on user support 
mailing list.

> Debian is now the only major distribution not including Kmid2. For your
> convenience, in Ubuntu you can find Kmid2 in these PPA's:
> https://launchpad.net/~ferramroberto/+archive/testing/+build/1920542
> https://launchpad.net/~kxstudio-team/+archive/ppa/+packages?field.name_fil
> ter=kmid2

FYI, PPA is not official ubuntu, nothing near it.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to 'lisandro@debian.org' from 'Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sun, 25 Sep 2011 17:13:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:32:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.